﻿@model IEnumerable<ALK.Models.ProductOrder>

@{
    ViewBag.Title = "Inde_x";
}

<h2>Order</h2>
@using (Html.BeginForm("Create", "Products", FormMethod.Post))
{
    <table class="table">


        @try
        {

            var tems = Model.Where(x => x.OrderNumber != null);
            string Invoice = "";
            foreach (var tem in tems)
            {
                if (!Invoice.Contains(tem.OrderNumber))
                {
                    Invoice = Invoice + tem.OrderNumber + ";";
                }
            }
            Invoice = Invoice.Remove(Invoice.Length - 1, 1);

            var Invoices = Invoice.Split(';');

            if (tems.Select(x => x.OrderNumber) != null)
            {
                foreach (var invoic in Invoices)
                {
                    var Qty = 0;
                    decimal Amount = 0;
                    <tr>
                        <th>
                            Order Number
                        </th>
                        <th>
                            Products
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Qty)
                        </th>
                        <th>
                            Price
                        </th>
                        <th>
                            Buyer
                        </th>
                         <th>
                         Email
                         </th>
                        <th></th>
                    </tr>
                    foreach (var item in Model)
                    {
                        if (invoic == item.OrderNumber)
                        {


                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => item.OrderNumber)
                                </td>
                                <td>
                                    <a href="@Url.Action("Details", "ProductList", new { id = item.ProductId })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Qty)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.PaymentAmount)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.AspNetUser.DisplayName)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.AspNetUser.Email)
                                </td>
                            </tr>
                            Qty = Qty + item.Qty;
                            decimal Temp1 = 0;
                            decimal.TryParse(item.Qty.ToString(), out Temp1);
                            decimal Temp2 = 0;
                            decimal.TryParse(item.PaymentAmount.ToString(), out Temp2);

                            Amount = Amount + Temp1 * Temp2;
                        }
                    }

                    <tr>
                        <td>Totals</td>
                        <td></td>
                        <td>@Qty</td>
                        <td>@Amount</td>
                    </tr>
                    <tr>
                        <th>
                            <a href="@Url.Action("Send", "ProductOrders", new { OrderNumbers = invoic })">Send</a>
                        </th>
                    </tr>
                    <tr>
                        <th></th>
                    </tr>
                    <tr>
                        <th></th>
                    </tr>

                }
            }
            @*else
                {
                    foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                <a href="@Url.Action("Details", "ProductList", new { id = item.ProductId })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Qty)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PaymentAmount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.AspNetUser.DisplayName)
                            </td>
                        </tr>
                    }
                }*@
        }
        catch { }


    </table>

}
